#include <16F88.h>
#device adc=8

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES INTRC_IO                 //Internal RC Osc, no CLKOUT
#FUSES NOPUT                    //No Power Up Timer
#FUSES MCLR                     //Master Clear pin enabled
#FUSES NOBROWNOUT               //No brownout reset
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOCPD                    //No EE protection
#FUSES NOWRT                    //Program memory not write protected
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES NOPROTECT                //Code not protected from reading
#FUSES FCMEN                    //Fail-safe clock monitor enabled
#FUSES IESO                     //Internal External Switch Over mode enabled

#use delay(clock=8000000)
#use rs232(baud=9600,parity=N,xmit=PIN_B5,rcv=PIN_B2,bits=8,errors)

#define MARCHE PIN_B0 //tranistor marche  relier entre 0 et COM
#define ON PIN_A4 //inter pour ON
#define OFF PIN_A6 //inter pour OFF


#int_RDA
void  RDA_isr(void) 
{

}

void init(){

   setup_adc_ports(NO_ANALOGS|VSS_VDD);
   setup_adc(ADC_OFF);
   setup_spi(SPI_SS_DISABLED);
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);
   setup_vref(FALSE);
   enable_interrupts(INT_RDA);
   enable_interrupts(GLOBAL);
   setup_oscillator(OSC_8MHZ|OSC_INTRC);
   
   
   set_tris_a(0b00000000);
   set_tris_b(0b11111110);
}//fin init

void main()
{
int CODE=0;


init();


while(1){
//allume et eteint le recepteur CODE toutes les 5 secondes
   CODE = 3;
   output_a(CODE);                     //choix du code
   output_low(OFF);output_high(ON);    //mise  ON
   output_high(MARCHE);                //mise en marche
   delay_ms(500);                     //attente de 1s
   output_low(MARCHE);output_low(OFF); output_low(ON);                //arret 
   
   delay_ms(5000);
   output_high(OFF);     //mise  OFF
   output_high(MARCHE);                //mise en marche
   delay_ms(500);                     //attente de 1s 
   output_low(MARCHE);output_low(OFF); output_low(ON);                //arret   
   delay_ms(5000);
   
   
}//fin while 
}
